﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TimeSpanAxis_ActualRangeChanged(object sender, ActualRangeChangedEventArgs e)
        {
            double interval = (double)xAxis.GetType().GetProperty("VisibleInterval", System.Reflection.BindingFlags.NonPublic |
                System.Reflection.BindingFlags.Instance).GetValue(xAxis);

            if ((interval < 1 && e.ActualInterval > 1000) || interval > 1000)
                xAxis.LabelFormat = @"mm\:ss";
            else
                xAxis.LabelFormat = "mm':'ss':'fff";
        }
    }

    public class Model
    {
        public TimeSpan XValue { get; set; }
        public double YValue { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            GenerateData();           
        }

        public void GenerateData()
        {
            Data = new ObservableCollection<Model>();
            Random rd = new Random();
            TimeSpan timeSpan = new TimeSpan(12, 0, 0);
            for (int i = 0; i < 10; i++)
            {
               timeSpan= timeSpan.Add(new TimeSpan(0, 0, i));
                Data.Add(new Model()
                {
                    XValue = timeSpan,
                    YValue = rd.Next(0, 50)
                });
            }
        }

        private ObservableCollection<Model> data;

        public ObservableCollection<Model> Data
        {
            get { return data; }
            set { data = value;  }
        }

        
       
    }
    
}
